from cmu_cs3_graphics import *
from PIL import Image

def onAppStart(app):
    loadSpritestrip(app)
    app.spriteCounter = 0
    app.stepsPerSecond = 8

def loadSpritestrip(app):
    spritestrip = Image.open('spritestrip.png')
    app.sprites = [ ]
    for i in range(6):
        sprite = CMUImage(spritestrip.crop((30+260*i, 30, 230+260*i, 250)))
        app.sprites.append(sprite)

def onStep(app):
    app.spriteCounter = (1 + app.spriteCounter) % len(app.sprites)

def onKeyPress(app, key):
    if key in ['up', 'right']:
        app.stepsPerSecond += 1
    elif key in ['down', 'left'] and app.stepsPerSecond > 1:
        app.stepsPerSecond -= 1

def redrawAll(app):
    # Draw the instructions and speed
    drawLabel('Use arrows to change speed', 200, 30, size=16)
    drawLabel(f'Current steps/second: {app.stepsPerSecond}', 200, 50)

    # Draw the current sprite image:
    sprite = app.sprites[app.spriteCounter]
    drawImage(sprite, 200, 200, align='center')

def main():
    runApp(400, 400)

if __name__ == '__main__':
    main()